var collapsed = false;

function change_it()
{
    if (!collapsed) {
    hide_advanced(false);
	document.getElementById("hide-show").src= "/assets/collapse_icon.png";
	collapsed = true;
    } else {
	hide_advanced(true);
	document.getElementById("hide-show").src= "/assets/expand_icon.png";
	collapsed = false;
    }
}

/*
  Hide the table rows in the "ADVANCED SECTION".

  We do this by iterating over the table rows that contain the advanced
  fields and hiding (or showing) them.

  Use:
    hide_advanced(true)  --> hides advanced elements
    hide_advanced(false) --> shows advanced elements
*/
function hide_advanced(hide) {
    var advanced_tr_ids = [
	"tr_sign_responses_info",
	"tr_sign_assertions_info",
	"tr_encrypt_assertions_info",
    ];
    for (var i = 0; i < advanced_tr_ids.length; i++) {
	current_id = advanced_tr_ids[i];
	// Does an element with id current_id exist? If so, hide/show.
	if ($('#' + current_id).length > 0) {
	    if (hide) {
		$('#' + current_id).hide();
	    } else {
		$('#' + current_id).show();
	    }
	} else {
	    // Could not find id
	}
    }
}

// Given an info element and a style ("none" or "block"),
// set the corresponding _text element to that style.
function style_info_element(element, style) {
    var id = element.id;

    // Replace '_text' with "_info".
    var text_id = id.replace("_info", "_text");

    var text_element = document.getElementById(text_id);
    text_element.style.display = style;
}

$(document).ready(function() {
    collapsed = 0;
    hide_advanced(true);

    // Set up the tool-tips for the three operations of view, edit, and delete
    var action_icons = [
	"view",
	"edit",
	"delete",
    ] ;
    for (var i = 0; i < action_icons.length; i++) {
	current_action = action_icons[i];
	var icon_index = document.getElementById(current_action + '_text');
	if (icon_index != null) {
	    icon_index.style.display = "none";
	    $('.' + current_action + '_info').mouseout(
		function() { icon_index.style.display = "none"; }).mouseover(
		    function() { icon_index.style.display = "block"; });
	}
    }

    // Now set the mouse-over action on the "_info" elements.
    // See also the files app/views/layouts/_help.html.erb and
    // app/helpers/application_helper.rb
    var fields = [
      'metadata',
      'entityid',
      'entityid_md5sum',
      'disabled',
      'contact_email',
      'login_url',
      'comments',
      'sign_responses',
      'encrypt_assertions',
      'sign_assertions',
      'owned_by',
      'acs_endpoint',
      'workgroup',
      'entitlement',
      'group',
      'is_legacy',
      'cert',
      'self_signed_cert',
      'valid_until',
      'instance',
      'account_number',
      'account_master',
      'account_nickname',
      'id_provider',
      'encryption_exception',
      'ignore_valid_until_issues',
      'ignore_entityid_format_issues',
      'mappings',
      'awsaccount_notes',
      'workgrouptorole',
      'idps_entityid',
      'idps_url',
      'idps_metadata',
      'idps_cert',
      'idps_comments',
      'idps_account_nickname',
      'copied_to_clipboard',
      'force_save',
      'allow_entitlement_release',
      'allow_unlimited_entitlements',
    ] ;
    for (var i = 0; i < fields.length; i++) {
	current_field = fields[i];
	var m = document.getElementById(current_field + '_text');

	if (m != null) {
	    m.style.display = "none";

	    $('.' + current_field + '_info')
		.mouseout (function() { style_info_element(this, "none");  })
		.mouseover(function() { style_info_element(this, "block"); });
	}
    }
});
