class ErrorsController < ApplicationController

  before_action :set_breadcrumbs_errors

  def not_found
    render :status => 404,
           locals: {
             rec_no: params[:id]
           }
  end

  # Forbidden to access this particular record
  def forbidden_record
    render(:status => 403)
  end

  # Generic forbidden
  def forbidden
    render(:status => 403)
  end

  def internal_server_error
    render :status => 500,
           locals: {
             error_txt: $!
           }
  end

  def set_breadcrumbs_errors()
    @breadcrumbs = Utility.first_level_breadcrumb
    @breadcrumbs.push(['Error', '/home'])
    @model_name = 'errors'
  end


end
