class HelpsController < ApplicationController

  before_action :set_remote_user, :set_roles, :set_breadcrumbs, :set_application_visibility
  before_action :set_paper_trail_whodunnit

  # GET /help
  def index
  end

  # GET /faq
  def faq
    @breadcrumbs.push(
      ["SPDB Help", ""]
    )
  end

  # GET /configuration
  def configuration
  end

  # Get /home
  def home
    # If we are at home, we don'e want anything in the breadcrumb
    @breadcrumbs = Utility.first_level_breadcrumb
  end

  # Get /help/awsaccounts
  def awsaccounts
    @breadcrumbs.push(
      ["AWS Accounts Help", ""]
    )
    @suppress_db_lastupdated = false
  end

  # Clear the cache
  def clearcache
    Utility.clear_cache()
    render html: "Done.".html_safe
  end

  private
    def set_breadcrumbs
      @suppress_db_lastupdated = true
      @breadcrumbs = Utility.first_level_breadcrumb
      @breadcrumbs.push(['Help', '/help/index'])
    end

    def set_application_visibility
      @visible_applications = Utility.visible_applications($remote_user)
    end

end
