class Updatedtime < ActiveRecord::Base
  # Update the updatedtimes table with the current time.
  #
  # The record with name field equal to the first parameter will be
  # updated; if no parameter is passed the record with name field equal to
  # 'last-changed' will be updated.
  def self.touch(name = 'last-changed')
    updatedtime = Updatedtime.find_by_name(name)

    # If the record does not exist yet, create it now.
    if (updatedtime.nil?()) then
      updatedtime = Updatedtime.new(name: name, updated_at: Time.now)
    else
      updatedtime.updated_at = Time.now
    end

    updatedtime.save()

    return
  end

  # Return the last time the database was updated.
  def self.last_updated(name = 'last-changed')
    updatedtime = Updatedtime.find_by_name(name)

    if (updatedtime.nil?()) then
      updatedtime1 = nil
    else
      updatedtime1 = updatedtime.updated_at
    end

    return updatedtime1
  end
end
