class AddCertificatesTable < ActiveRecord::Migration
  def change
    create_table :certificates do |t|
      t.belongs_to :spconfig
      t.text       :pem,           :null => false
      t.string     :use,           :null => false
      t.boolean    :is_selfsigned, :null => false
      t.text       :issuer,        :null => false
      t.string     :serial_number, :null => true
      t.integer    :version,       :null => true, :limit => 1
      t.text       :subject,       :null => false
      t.datetime   :valid_at,      :null => false
      t.datetime   :expires_at,    :null => false
      t.string     :key_algorithm, :null => false
      t.integer    :key_length,    :null => true
      t.string     :signature_algorithm,      :null => false
      t.string     :subject_key_identifier,   :null => true
      t.string     :authority_key_identifier, :null => true
      t.timestamps
    end
  end
end
