# encoding: UTF-8
# This file is auto-generated from the current state of the database. Instead
# of editing this file, please use the migrations feature of Active Record to
# incrementally modify your database, and then regenerate this schema definition.
#
# Note that this schema.rb definition is the authoritative source for your
# database schema. If you need to create the application database on another
# system, you should be using db:schema:load, not running all the migrations
# from scratch. The latter is a flawed and unsustainable approach (the more migrations
# you'll amass, the slower it'll run and the greater likelihood for issues).
#
# It's strongly recommended that you check this file into your version control system.

ActiveRecord::Schema.define(version: 20171205191527) do

  create_table "awsaccounts", force: true do |t|
    t.string   "instance",   null: false
    t.string   "number",     null: false
    t.datetime "created_at"
    t.datetime "updated_at"
    t.text     "notes"
  end

  add_index "awsaccounts", ["instance", "number"], name: "index_awsaccounts_on_instance_and_number", unique: true

  create_table "awsidproviders", force: true do |t|
    t.integer  "awsaccount_id"
    t.string   "arn",           null: false
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "awsowninggroups", force: true do |t|
    t.integer  "awsaccount_id"
    t.string   "workgroup",     null: false
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "awsrolemappings", force: true do |t|
    t.integer  "awsidprovider_id"
    t.string   "workgroup",                                                             null: false
    t.string   "role",                                                                  null: false
    t.datetime "created_at"
    t.datetime "updated_at"
    t.text     "notes"
    t.text     "#<ActiveRecord::ConnectionAdapters::TableDefinition:0x000000055b6710>"
  end

  create_table "certificates", force: true do |t|
    t.integer  "spconfig_id"
    t.text     "pem",                                null: false
    t.string   "use",                                null: false
    t.boolean  "is_selfsigned",                      null: false
    t.text     "issuer",                             null: false
    t.string   "serial_number"
    t.integer  "version",                  limit: 1
    t.text     "subject",                            null: false
    t.datetime "valid_at",                           null: false
    t.datetime "expires_at",                         null: false
    t.string   "key_algorithm",                      null: false
    t.integer  "key_length"
    t.string   "signature_algorithm",                null: false
    t.string   "subject_key_identifier"
    t.string   "authority_key_identifier"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "federations", force: true do |t|
    t.string   "name"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "groups", force: true do |t|
    t.integer  "spconfig_id"
    t.string   "workgroup",   null: false
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "spconfigs", force: true do |t|
    t.string   "entityid"
    t.text     "metadata"
    t.string   "contact_email"
    t.string   "owned_by"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string   "login_url"
    t.boolean  "sign_responses",     default: true,  null: false
    t.boolean  "sign_assertions",    default: false, null: false
    t.boolean  "encrypt_assertions", default: true,  null: false
    t.string   "created_by"
    t.string   "updated_by"
    t.text     "comments"
    t.boolean  "is_legacy",          default: false, null: false
    t.text     "displayname"
    t.integer  "federation_id"
  end

  add_index "spconfigs", ["entityid"], name: "index_spconfigs_on_entityid", unique: true

  create_table "updatedtimes", force: true do |t|
    t.string   "name",       null: false
    t.datetime "updated_at"
  end

  add_index "updatedtimes", ["name"], name: "index_updatedtimes_on_name", unique: true

  create_table "versions", force: true do |t|
    t.string   "item_type",                     null: false
    t.integer  "item_id",                       null: false
    t.string   "event",                         null: false
    t.string   "whodunnit"
    t.text     "object",     limit: 1073741823
    t.datetime "created_at"
  end

  add_index "versions", ["item_type", "item_id"], name: "index_versions_on_item_type_and_item_id"

end
