#!/bin/sh

# set RAILS_ENV:
. /etc/spdb/rails_env

# We want to filter out this innocuous "error":
ignore="Running .gem pristine --all. to regenerate"
ignore="$ignore|Running via Spring preloader in process"

temp_stderr=$(mktemp)

cd /usr/share/spdb || exit 1
bin/rails runner -e "$RAILS_ENV" lib/download_incommon_metadata.rb 2>> "$temp_stderr"

# Send $temp_stderr to stderr filtering out any ignores.
grep --invert-match --extended-regexp "$ignore" "$temp_stderr" 1>&2
unlink "$temp_stderr"
