# Load all the metadata fragments from a directory.
# Run like this:
#
#  bin/rails runner lib/load-meta.rb <path_to_metadata_directory>
#
# Example:
#
#    bin/rails runner lib/load-meta.rb /srv/scratch/adamhl/metadata/Stanford-metadata.d

# To copy all the metadata fragment files:
#
# scp -r3 root@idp08:/etc/shibboleth-idp/metadata/Stanford-metadata.d/ root@lemon-uat:/srv/scratch/cheroux/metadata/

require 'utility'

raise "DO NOT USE THIS! IT WILL ERASE YOUR DATABASE!"

# Process a single metadata file.
#
def process_metadata_file(full_path)

  # If this is an IdP file, skip.
  #
  if (full_path =~ /[\-]idp.xml$/) then
    print "-----------------------\n"
    print "skipping IdP metadata file '#{full_path}'\n"
    print "-----------------------\n"
    return
  end

  if (full_path =~ /([.]prefix|[.]suffix)$/) then
    print "-----------------------\n"
    print "skipping non-SP file '#{full_path}'\n"
    print "-----------------------\n"
    return
  end

  print "-----------------------\n"
  print "processing #{full_path}\n"

  # Is it valid?
  uri_string = Rails.configuration.saml_sp_validate_url
  uri = URI.parse(uri_string)
  http = Net::HTTP.new(uri.host, uri.port)
  http.use_ssl = false
  req = Net::HTTP::Post.new(uri.path)

  metadata = File.read(full_path)
  data_to_post = {
    'metadata' => metadata
  }

  req.set_form_data(data_to_post)
  response = http.request(req)
  results = response.body()
  @metadata_validation_results = JSON.parse(results)

  sp_info = @metadata_validation_results[0]
  errors  = @metadata_validation_results[1]

  entityid = sp_info['entityID']

  if (errors.key?('510')) then
    print "entityID #{entityid} has an expired certificate\n"
  end

  # We accept cert errors
  errors.delete('510')
  errors.delete('520')

  if (errors.length > 0) then
    print errors
  end

  # Make the object
  metadata = metadata
  owned_by = 'auto-migration'

  contact_info = get_contact_info(metadata)
  if (contact_info.key?('EmailAddress'))
    email_address = contact_info['EmailAddress']
  else
    email_address = 'unknown@unknown.unknown'
  end

  owner = 'auto-migration'

  spconfig = Spconfig.new(
    metadata:      metadata,
    entityid:      entityid,
    owned_by:      owner,
    contact_email: email_address,
    created_by:    owner,
  )
  # We ignore validation issues
  spconfig.save(validate: false)

  print spconfig.to_s()
  print "-----------------------\n"
end


# Delete all the spconfigs and versions
rv = PaperTrail::Version.delete_all()
puts "number of versions deleted #{rv}"

rv = Spconfig.delete_all()
puts "number of records deleted #{rv}"

metadata_dir = '/srv/scratch/adamhl/metadata/Stanford-metadata.d/'
if (ARGV[0]) then
  metadata_dir = ARGV[0]
end

if (!metadata_dir) then
  raise "missing metadata directory arguement"
end

if (not File.directory?(metadata_dir)) then
  raise "metadata directory '#{metadata_dir}' does not exist"
end

Dir.foreach(metadata_dir) do |filename|
  if ((filename == '.') or (filename == '..')) then
    next
  end

  full_path = File.join(metadata_dir, filename)
  process_metadata_file(full_path)
end
