require 'utility'

# Get all the spconfigs

spconfigs = Spconfig.all()

# Loop through them populating the certs

total = spconfigs.size
counter = 0
spconfigs.each do |spconfig|
  counter = counter + 1
  print "-------------------------------\n"
  print "#{counter} of #{total}\n"

  valid_until = spconfig.valid_until
  if (not valid_until.nil?()) then
    print "#{spconfig.entityid}: validUntil is #{valid_until}...skipping\n"
    next
  end

  print "#{spconfig.entityid}: no validUntil will process...\n"

  metadata = spconfig.metadata
  if (metadata.nil?()) then
    print "no metadata for #{spconfig.entityid} found; skipping\n"
    next
  end

  metadata_validation_results = Utility.submit_metadata_for_validation(metadata)

  sp_info                = metadata_validation_results[0]
  saml_validation_errors = metadata_validation_results[1]


  if (sp_info.key?('validUntil') and !sp_info['validUntil'].empty?()) then
    valid_until = DateTime.xmlschema(sp_info['validUntil'])
    print "FOUND ONE! #{spconfig.entityid}: validUntil is #{valid_until}\n"
  else
    print "#{spconfig.entityid}: no validUntil found\n"
    next
  end

  # We save it now.
  spconfig.valid_until = valid_until
  spconfig.updated_by  = 'adamhl (populate valid-until)'
  spconfig.save

end
